Menu

Support for Joomla 2.5 Ended


DevelopDo you really need to upgrade your Joomla! version 2.5 website?

 

When you login to Administrator on your site it is telling you that support for Joomla 2.5 has ended. What should you do? Is this urgent? Do you need to upgrade to Joomla version 3.0 right away? Here is what you need to know.

Yes, Joomla 2.5 is out of date. But is this a big deal? Sort of. What it means is that Joomla will no longer be updating it. Joomla provides regular updates to their system to provide some feature enhancements, and most importantly, to keep it safe and secure from hackers. The Joomla core is robust and generally safe from hackers. However, several vulnerabilities have been discovered over the years which have been exploited by hackers. These holes get plugged by Joomla quickly and they release security patches. Once you install the patch your site is secure again. 

These security patches will no longer be available. If a security vulnerability is discovered in Joomla 2.5, it won't be fixed. Your site will be exposed to a hacking threat and there will be no readily available solution. The only real solution will be to take your site down.

  • Should you upgrade? Yes. Without any forthcoming security patches, your site will become increasingly vulnerable to hackers and is likely to be compromised. Once compromised you will find yourself backed into a corner and forced to upgrade under the gun, so-to-speak.
  • How difficult is it to upgrade from 2.5 to 3.0? Difficulty of upgrading varies a lot. It can be quite technical and occasionally difficult. Difficulty is determined by your template and add-on plugins and components. Sometimes the upgrade can be accomplished in a matter of a day. Sometimes it requires a new template and complete rebuild of your site. There is no easy way to know whether your site will be easy or difficult until you give it a go.
  • How often will I have to keep upgrading? Joomla has designed their system such that upgrades are fairly easy and are expected to get easier with versions 3 and higher. When new upgrades are available on version 3 you will be notified in the Administrator panel, at which point you can simply backup and then click the upgrade link.
  • Can I just use WordPress instead? Yes. But there is no advantage in doing so. WordPress is a terrific and perhaps just as good as Joomla. But it requires regular security patches and upgrades too, just like Joomla. Moving over to WordPress won't solve the issue of having to maintain your site.
  • Can I use site builders like Weebly, Wix and FourSquare? Yes. But these new platforms are all going to experience growing pains as they age and have to respond to security threats. We have seen similar platforms in the past, such as Ning, and know that it will be difficult. Plus the site builder platforms will not offer you even a fraction of the flexibility or functionality that you are used to.

If you have any other questions or if you would like to ask GYST Media for some advice on how to take your site from an older version of Joomla to the latest Joomla 3.x version, give us a call. We are happy to provide you with a free consultation.

 

Contact Us

2742 Heatherstone Drive
San Rafael, CA 94903
(415) 260-3141

contact@gystmedia.com